Coins List with Market Data
This endpoint allows you to query all the supported coins with price, market cap, volume and market related data
Documentation Index
Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
Use this file to discover all available pages before exploring further.
Note
- When multiple lookup params are provided, the following priority order is applied:
category(highest) >ids>names>symbols(lowest). - When searching by
name, you need to URL-encode any spaces (e.g. “Binance Coin” becomes “Binance%20Coin”). - The
include_tokens=allparam is exclusively for use with thesymbolslookup and is limited to a maximum of 50 symbols per request. - The maximum number of IDs per API call is 250.
- Wildcard searches are not supported for lookup params (
ids,names,symbols). - Cache / Update Frequency:
- Every 60 seconds for Public API.
- Every 30 seconds for Pro API (Basic, Analyst, Lite, Pro, Enterprise).
Authorizations
Query Parameters
target currency of coins and market data
*refers to /simple/supported_vs_currencies.
"usd"
coins' IDs, comma-separated if querying more than 1 coin.
*refers to /coins/list.
coins' names, comma-separated if querying more than 1 coin.
coins' symbols, comma-separated if querying more than 1 coin.
for symbols lookups, specify all to include all matching tokens
Default top returns top-ranked tokens (by market cap or volume)
top, all filter based on coins' category
*refers to /coins/categories/list.
"layer-1"
sort result by field, default: market_cap_desc
market_cap_asc, market_cap_desc, volume_asc, volume_desc, id_asc, id_desc total results per page, default: 100 Valid values: 1...250
page through results, default: 1
include sparkline 7 days data, default: false
include price change percentage timeframe, comma-separated if query more than 1 timeframe Valid values: 1h, 24h, 7d, 14d, 30d, 200d, 1y
language background, default: en
ar, bg, cs, da, de, el, en, es, fi, fr, he, hi, hr, hu, id, it, ja, ko, lt, nl, no, pl, pt, ro, ru, sk, sl, sv, th, tr, uk, vi, zh, zh-tw decimal place for currency price value
full, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18 include rehypothecated tokens in results, default: false
When true, returns market_cap_rank_with_rehypothecated field
Response
List all coins with market data
coin ID
coin symbol
coin name
coin image url
coin current price in currency
coin market cap in currency
coin rank by market cap
coin rank by market cap including rehypothecated tokens
coin fully diluted valuation (fdv) in currency
coin total trading volume in currency
coin 24hr price high in currency
coin 24hr price low in currency
coin 24hr price change in currency
coin 24hr price change in percentage
coin 24hr market cap change in currency
coin 24hr market cap change in percentage
coin circulating supply
coin total supply
coin max supply
coin all time high (ATH) in currency
coin all time high (ATH) change in percentage
coin all time high (ATH) date
coin all time low (atl) in currency
coin all time low (atl) change in percentage
coin all time low (atl) date
coin last updated timestamp

